Bug 1268615 - CheckListCtrlMixin color contrast too low: almost unable to recognize selected items
CheckListCtrlMixin color contrast too low: almost unable to recognize selecte...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wxGTK3 (Show other bugs)
22
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jeremy Newton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-03 12:40 EDT by markusN
Modified: 2015-11-20 18:24 EST (History)
4 users (show)

See Also:
Fixed In Version: wxGTK3-3.0.2-11.fc23 wxGTK3-3.0.2-11.fc22 wxGTK3-3.0.2-11.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-08 17:20:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Differences between CheckListCtrlMixin style in wxpython2 and wxpython3 (109.65 KB, image/png)
2015-10-03 12:49 EDT, markusN
no flags Details

  None (edit)
Description markusN 2015-10-03 12:40:34 EDT
In wxPython 3, the CheckListCtrl uses almost identical colors for the state "checked" and "unchecked". This renders the usage of various software packages unnecessarily complicated.

How to reproduce: run the demo

python /usr/share/doc/wxPython-docs/demo/CheckListCtrlMixin.py

and toggle some buttons. Can the "checked" color please be made darker?
Comment 1 markusN 2015-10-03 12:49 EDT
Created attachment 1079635 [details]
Differences between CheckListCtrlMixin style in wxpython2 and wxpython3

Screenshot attached to show the new visibility problem in F22 (wxpython 3)
Comment 2 Scott Talbert 2015-10-05 21:07:10 EDT
Confirmed, will look into it.
Comment 3 Scott Talbert 2015-11-01 19:57:27 EST
Investigated.  Looks to be a wxWidgets issue - the wxRendererNative::DrawCheckBox() function doesn't seem to actually draw the checkbox when in the checked state.  Reported upstream:
http://trac.wxwidgets.org/ticket/17240
Comment 4 Scott Talbert 2015-11-02 19:14:24 EST
Upstream has fixed already:
https://github.com/wxWidgets/wxWidgets/commit/c1d150ed1228c155054cf1fa90932ced7371e6a4
Comment 5 Scott Talbert 2015-11-02 19:16:14 EST
Jeremy, can you please cherry-pick this patch the next time you do a wxGTK3 update?  Thanks.
Comment 6 Jeremy Newton 2015-11-02 21:20:10 EST
Sounds good thanks. I just sent one out a few days ago, but I'll do this when I have some time this week.
Comment 7 Fedora Update System 2015-11-05 21:42:05 EST
wxGTK3-3.0.2-11.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16bf22f0c7
Comment 8 Fedora Update System 2015-11-05 21:47:19 EST
wxGTK3-3.0.2-11.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a71f78a3d9
Comment 9 Fedora Update System 2015-11-05 21:48:34 EST
wxGTK3-3.0.2-11.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-aafbcfb7d7
Comment 10 markusN 2015-11-08 06:16:54 EST
(In reply to Fedora Update System from comment #7)
> wxGTK3-3.0.2-11.fc22 has been submitted as an update to Fedora 22.
> https://bodhi.fedoraproject.org/updates/FEDORA-2015-16bf22f0c7

Sorry for a newbie question: I wanted to test it but

dnf --enablerepo=updates-testing install wxGTK3
Last metadata expiration check performed 0:00:14 ago on Sun Nov  8 12:11:09 2015.
Package wxGTK3-3.0.2-9.fc22.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!

I followed https://fedoraproject.org/wiki/QA:Updates_Testing .
Is it yet a matter of time or is my update procedure wrong?
Comment 11 Fedora Update System 2015-11-08 06:22:42 EST
wxGTK3-3.0.2-11.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update wxGTK3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a71f78a3d9
Comment 12 Fedora Update System 2015-11-08 07:27:21 EST
wxGTK3-3.0.2-11.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update wxGTK3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16bf22f0c7
Comment 13 Fedora Update System 2015-11-08 08:25:11 EST
wxGTK3-3.0.2-11.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update wxGTK3'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-aafbcfb7d7
Comment 14 Scott Talbert 2015-11-08 08:28:53 EST
(In reply to markusN from comment #10)
> (In reply to Fedora Update System from comment #7)
> > wxGTK3-3.0.2-11.fc22 has been submitted as an update to Fedora 22.
> > https://bodhi.fedoraproject.org/updates/FEDORA-2015-16bf22f0c7
> 
> Sorry for a newbie question: I wanted to test it but
> 
> dnf --enablerepo=updates-testing install wxGTK3
> Last metadata expiration check performed 0:00:14 ago on Sun Nov  8 12:11:09
> 2015.
> Package wxGTK3-3.0.2-9.fc22.x86_64 is already installed, skipping.
> Dependencies resolved.
> Nothing to do.
> Complete!
> 
> I followed https://fedoraproject.org/wiki/QA:Updates_Testing .
> Is it yet a matter of time or is my update procedure wrong?

Try again now.  It wasn't pushed to the F22 updates-testing repository until 2015-11-08 07:27:21 EST (see comment 12).  Also, you might have to run dnf with --refresh to force it to grab new metadata.
Comment 15 Jeremy Newton 2015-11-08 09:25:37 EST
You may also have to use update instead of install, as I believe the latter may sometimes not update the package if its already installed. Comment 11 and 12 actually specify the command.
Comment 16 Fedora Update System 2015-11-08 17:20:08 EST
wxGTK3-3.0.2-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 markusN 2015-11-08 17:27:54 EST
(In reply to Jeremy Newton from comment #15)
> You may also have to use update instead of install, as I believe the latter
> may sometimes not update the package if its already installed. Comment 11
> and 12 actually specify the command.

Thanks now I got it via:

dnf --enablerepo=updates-testing --refresh update wxGTK3

... and the CheckListCtrl looks fine now where it didn't before (superficial quick check). Great.
Comment 18 Jeremy Newton 2015-11-09 13:14:53 EST
(In reply to markusN from comment #17)
> (In reply to Jeremy Newton from comment #15)
> > You may also have to use update instead of install, as I believe the latter
> > may sometimes not update the package if its already installed. Comment 11
> > and 12 actually specify the command.
> 
> Thanks now I got it via:
> 
> dnf --enablerepo=updates-testing --refresh update wxGTK3
> 
> ... and the CheckListCtrl looks fine now where it didn't before (superficial
> quick check). Great.

Sounds good, thanks for reporting this!
Comment 19 Fedora Update System 2015-11-17 13:22:57 EST
wxGTK3-3.0.2-11.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-11-20 18:24:11 EST
wxGTK3-3.0.2-11.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.